Subject: [Coin] Some comments on draft-mcbride-edge-data-discovery-overview-03

From: Ike Kunze <[email-masked]>
Date: Fri, 17 Apr 2020 10:59:36 +0000

Hi Mike, Hi Dirk, Hi Eve, Hi Carlos,

I have some comments on the latest version of the edge data discovery draft, mainly regarding the structure of the draft.
Note that I am unsure whether the checkmarks on slide 5 of your interim slides mean that you have already implemented changes for the corresponding feedback or whether
you still plan on doing them (I am sorry if I missed your comments on that, but I believe the latter is true).
So some feedback might be redundant as you might already have it on your agenda.

Sec 1.4:
1. I like the distinction between device & infrastructure edge.
Maybe separate bullet points for them could make them more visible as they are quite important for the rest of the document.
2. Why introduce ICN here if it is not mentioned in the rest of the document (converting the NDN discussion to ICN discussion still to do?)

Sec. 2.1 & 2.2:
I like that the document mentions possible data origins and types, as well as data access control and data access problems.
I think that restructuring the two sections could make these aspects easier to understand.
Maybe start with data origins (was first paragraph of 2.1) and types (first paragraph of 2.2) in one section and then follow that up with
data access control (2nd par. of 2.1) and data access problems (2nd par. of 2.2).
That makes it more straightforward, at least for me.

Sec 2.2.1:
The idea of illustrating the aspects of 2.1/2.2 using an example is great.
I am unsure whether the draft really needs the list of possible meta-data information, because to me this feels as too much of a detour.
I believe that the text around the listing alone nicely illustrates the scenario, although it could be better integrated into the context of the draft (also already on your agenda?).

Sec. 3 & 4:
I really like the content of the sections.
Similar to 2.1 & 2.2, I think a different structure could convey the content more clearly.
What currently confuses me is that the three discovery scenarios in sec 3 and the types of discovery in sec 4.1 are separated (by the definition of the edge data discovery problem) as they are, in my opinion, closely entangled.
Have you thought about integrating sec 3 as the first or second subsection of sec 4?
That way the draft would first define the edge data discovery problem and then take a look at two important aspects of it, namely which types of discovery might be needed and in which scenarios that might be useful.

Moreover, I think that defining the problem and proposing possible solutions could be separated a bit more clearly, too.
Maybe split these aspects into two sections? First, Edge Data Discovery Problem. Then, Possible Solutions for Edge Data Discovery?
Although I am unsure where the NDN discussion should go then…

Sec. 5.:
Having the use cases to illustrate the application settings of possible solutions here at the end of the draft is nice.

I hope you find the feedback helpful.

Best,
Ike
--
Ike Kunze, M.Sc.
Researcher, Ph.D. Student

COMSYS - Communication and Distributed Systems
RWTH Aachen University
Ahornstr. 55
52074 Aachen, Germany
Tel: +49 241 80-21422
[email-masked]<mailto:[email-masked]>
http://www.comsys.rwth-aachen.de/team/ike-kunze/